/************** BEST VIEWED IN A CODE EDITOR 80 COLUMNS WIDE *******************
*
* Track Saw Guide Rail Connector
* Benjamen Johnson <workshop.electronsmith.com>
* 20220119
* openSCAD Version: 2019.05 
* Licesnse: Creative Commons - Attribution - Share Alike
*           https://creativecommons.org/licenses/by-sa/4.0/
*******************************************************************************/
/*[Hidden]*/
version="V1_0";

/*[Track Parameters]*/
/*******************************************************************************
*******************************************************************************/
// Width of the connector channel 
channel_width = 12.3;

// Height of the connector channel
channel_height = 6.6;


CHANNEL = [channel_width,channel_height];

/*[Connector Parameters]*/
/*******************************************************************************
*******************************************************************************/
// Length of the connector
total_length = 160;

// How much do the ends taper?
taper_percentage = 0.5;

// How much of the ends are tapered?
taper_length = 20;

connector_length = total_length-2*taper_length;

CONNECTOR = [connector_length,channel_width,channel_height];

TAPER = [taper_percentage,taper_percentage];
//cube(CONNECTOR,center=true);


/*******************************************************************************
* Make it!
*******************************************************************************/
rotate([-90,0,0])
union(){
    translate([0,channel_height/2,taper_length])
    rotate([180,0,0])
    linear_extrude(height=taper_length,scale=TAPER)
        translate([0,channel_height/2,0])
        square(CHANNEL,center=true);
    
    translate([0,0,taper_length])
    linear_extrude(height=connector_length)
        square(CHANNEL,center=true);
    
    translate([0,channel_height/2,taper_length+connector_length])
    linear_extrude(height=taper_length,scale=TAPER)
        translate([0,-channel_height/2,0])
        square(CHANNEL,center=true);
} //union